Subject: Molcas-2 SUMMARY

From: [email-masked] (Jaime Combariza)
Date: Fri, 19 Aug 94 10:13:32 CDT

----------
X-Sun-Data-Type: text
X-Sun-Data-Description: text
X-Sun-Data-Name: text
X-Sun-Content-Lines: 121

Thanks a lot to all who responded to my question. It sure save me a lot
of time and effort!

Original question:
Hi Netters:

We recently upgraded our rs6k cluster to AIX 3.2.5 and xlf 3.1.1. I used to run 
a version of Molcas-2 before the upgrade. Now, the old executable does not work 
anymore and neither does a new compiled version. It dies when trying to read the 
first line of the input file.

From: KNUT BOERVE <[email-masked]>

Hello Jamie!

The problem is probably that in the new fortran compiler release,
the default way of reading a Namelist input has changed.
You can restore this to the old default by entering the line
setenv XLFRTEOPTS namelist=old
in your .login file

Good luck! (:-)

Knut Boerve
Dept. of Chemistry
Univ. of Bergen, Norway

From: [email-masked] (William Mccarthy)

We lost the licence to ESSL somehow when we performed an upgrade from 
AIX 3.2.0 to 3.2.5 though I sure (almost) that MOLCAS does not rely on 
any library subroutine.  Perhaps you lost the Runtime libraries.  
I suggest contacting the authors in Lund, Sweden, directly if you remain 
stymied.  Good luck,  Will McCarthy

From: Patrick Bultinck <[email-masked]>
There are more problems than that... I suggest you also try to ask the 
question on comp.unix.aix, since there is currently a discussion going on 
on the subject of new compilers that seem to blow-up every now and then...

Happy to forward it if necessary !

Patrick

From: [email-masked] (Martin Schuetz)
Check for the changes in the NameList Convention due to the compiler upgrade...

-- 
Martin Schuetz, Ph.D.                       Phone: +41 1 632 57 82
Interdisciplinary Project Center            FAX:   +41 1 261 04 68
for Supercomputing, ETH Zuerich
Switzerland                                 
E-mail: [email-masked] or [email-masked]

From: [email-masked] (Paolo Celani)
Jaime,
I had the same problem.
You have 2 way to fix:

1) If you have again old version of FORTRAN (xlf 2.1 or compatible), you must
include, in your input, the following lines:

td=/scratch/xlf23
NLSPATH=$td/usr/lpp/xlf/default_msg/%N:$NLSPATH
LIBPATH=$td/usr/lib:/usr/lib::
export NLSPATH LIBPATH

(td is the directory in which you have previous version of FORTRAN)
Using this you can run OLD MOLCAS-2 (not recompiled in xlf 3.1.1).

2) Try to put in your input

XLFRTEOPTS='namelist=old'
export XLFRTEOPTS

This works for most of the module of OLD MOLCAS-2. There are again problems
with cpf.

					Paolo Celani

From: [email-masked] (Jean-marie Teuler)

You may have a problem with namelists, which are handled differently with 
xlf 3 (Fortran 90). Try to set the environment variable XLFRTEOPTS
with the value "namelist=old""namelist=old""namelist=old" :
- in csh
  setenv XLFRTEOPTS "namelist=old"
- in sh or ksh
  XLFRTEOPTS="namelist=old" ; export XLFRTEOPTS

Good luck, and please keep me informed (because I am supposed to install
MOLCAS-3 soon).

Jean-Marie Teuler

/--------------------------------------------------------\
|  Jean-Marie Teuler                                     |
|  CNRS-IDRIS                                            |
|  Batiment 506                                          |
|  B.P. 167                   E-mail : [email-masked]   |
|  91403 Orsay Cedex          Tel    : 33.1.69.82.41.26  |
|  France                     Fax    : 33.1.69.28.52.73  |
\--------------------------------------------------------/
From: [email-masked]

I've seen a similar problem. Please mail me if you get any 
useful info.

 Thanks in advance,
                           Ole Swang

----------
X-Sun-Data-Type: default
X-Sun-Data-Description: default
X-Sun-Data-Name: molcas.sum
X-Sun-Content-Lines: 118

From: KNUT BOERVE <[email-masked]>

> 
> We recently upgraded our rs6k cluster to AIX 3.2.5 and xlf 3.1.1. I used 
to run
> a version of Molcas-2 before the upgrade. Now, the old executable 
does not
> work anymore and neither does a new compiled version. It dies 
when trying
> to read the first line of the input file.

Hello Jamie!

The problem is probably that in the new fortran compiler release,
the default way of reading a Namelist input has changed.
You can restore this to the old default by entering the line
setenv XLFRTEOPTS namelist=old
in your .login file

Good luck! (:-)

Knut Boerve
Dept. of Chemistry
Univ. of Bergen, Norway

From: [email-masked] (William Mccarthy)

We lost the licence to ESSL somehow when we performed an upgrade from 
AIX 3.2.0 to 3.2.5 though I sure (almost) that MOLCAS does not rely on 
any library subroutine.  Perhaps you lost the Runtime libraries.  
I suggest contacting the authors in Lund, Sweden, directly if you remain 
stymied.  Good luck,  Will McCarthy

From: Patrick Bultinck <[email-masked]>
There are more problems than that... I suggest you also try to ask the 
question on comp.unix.aix, since there is currently a discussion going on 
on the subject of new compilers that seem to blow-up every now and then...

Happy to forward it if necessary !

Patrick

From: [email-masked] (Martin Schuetz)
Check for the changes in the NameList Convention due to the compiler upgrade...

-- 
Martin Schuetz, Ph.D.                       Phone: +41 1 632 57 82
Interdisciplinary Project Center            FAX:   +41 1 261 04 68
for Supercomputing, ETH Zuerich
Switzerland                                 
E-mail: [email-masked] or [email-masked]

From: [email-masked] (Paolo Celani)
Jaime,
I had the same problem.
You have 2 way to fix:

1) If you have again old version of FORTRAN (xlf 2.1 or compatible), you must
include, in your input, the following lines:

td=/scratch/xlf23
NLSPATH=$td/usr/lpp/xlf/default_msg/%N:$NLSPATH
LIBPATH=$td/usr/lib:/usr/lib::
export NLSPATH LIBPATH

(td is the directory in which you have previous version of FORTRAN)
Using this you can run OLD MOLCAS-2 (not recompiled in xlf 3.1.1).

2) Try to put in your input

XLFRTEOPTS='namelist=old'
export XLFRTEOPTS

This works for most of the module of OLD MOLCAS-2. There are again problems
with cpf.

					Paolo Celani

From: [email-masked] (Jean-marie Teuler)

You may have a problem with namelists, which are handled differently with 
xlf 3 (Fortran 90). Try to set the environment variable XLFRTEOPTS
with the value "namelist=old""namelist=old""namelist=old" :
- in csh
  setenv XLFRTEOPTS "namelist=old"
- in sh or ksh
  XLFRTEOPTS="namelist=old" ; export XLFRTEOPTS

Good luck, and please keep me informed (because I am supposed to install
MOLCAS-3 soon).

Jean-Marie Teuler

/--------------------------------------------------------\
|  Jean-Marie Teuler                                     |
|  CNRS-IDRIS                                            |
|  Batiment 506                                          |
|  B.P. 167                   E-mail : [email-masked]   |
|  91403 Orsay Cedex          Tel    : 33.1.69.82.41.26  |
|  France                     Fax    : 33.1.69.28.52.73  |
\--------------------------------------------------------/
From: [email-masked]

I've seen a similar problem. Please mail me if you get any 
useful info.

 Thanks in advance,
                           Ole Swang